Get audit log entries for a specified User

Fetch audit logs for a given user with some filtering capabilities via query params. It works best to think of this as an activity log for the specified user

認証

AuthorizationBearer

Bearer <token>形式のBearer認証。tokenは認証トークンです。

パスパラメータ

user_idstring必須

クエリパラメータ

filters[start_date]stringオプション形式: "date"
Start ISO Date
filters[end_date]stringオプション形式: "date"
End ISO Date
filters[resource_type]enumオプション
Filter by Resource Type
filters[event_type]enumオプション
Filter by Type of Activity
filters[team_id]stringオプション形式: "uuid"
Filter by Team ID
filters[project_id]stringオプション形式: "uuid"
Filter by Project ID
filters[resource_id]stringオプション形式: "uuid"

Filter by resource ID (Asset ID, Project ID, User ID)

filters[user_id]stringオプション形式: "uuid"
Filter by User ID
filters[ip_address]stringオプション
Filter by IP Address
pageintegerオプションデフォルト値 1
Page number
page_sizeintegerオプション<=200デフォルト値 50
Records per page

レスポンスヘッダー

page-numberinteger
Current page of results
per-pageinteger
Number of entries per page
totalinteger
Total entries across all pagess
total-pagesinteger
Number of pages

レスポンス

Succesful Event logs response
account_idstring or null形式: "uuid"
anonymous_user_idstring or null形式: "uuid"
clientstring or null

The API client the audit event was triggered by. This will not always be populated.

When the API call that produced an event was made via an OAuth app it will look like: oauth_app/:uuid, and if it was made via a developer token it will look like: user_token/:uuid, with the UUID being the User ID the token belongs to

Here are some examples:

  • user_token/57823879-e541-49b0-b902-c43794c4400c
  • oauth_app/80ccf0bb-ae91-49c4-8aec-8f6238c14947
  • web/2024-06-10-18-15
  • pipeline-media-warden/cbd0061f6f190489e8af3137b8707b33f498f53f
  • null
event_typeenum
event_detailsobject
The details for the event. This varies quite a bit from one type of event to another but there are some examples in the example responses.
iddouble
Unique identifier
inserted_atstring形式: "date-time"
ip_addressstring or null
The IP address associated with this event
project_idstring or null形式: "uuid"
The Project ID that this action occured in
resource_idstring形式: "uuid"
The ID of the referenced resource
resource_typeenum
The type of the referenced resource
team_idstring or null形式: "uuid"
Team ID
sourceenum
The Source of the action that produced a given audit log entry
許可された値:
user_idstring or null形式: "uuid"
User ID
updated_atstring形式: "date-time"

エラー

401
Unauthorized Error
404
Not Found Error